Subject: Re: bug#4534: assertion failure at window.c:grow_mini_window

From: Juanma Barranquero <[email-masked]>
Date: Wed, 23 Sep 2009 15:41:24 +0200

On Wed, Sep 23, 2009 at 14:21, martin rudalics <[email-masked]> wrote:

> Would writing
>
>              if (height > WINDOW_TOTAL_LINES (w))
>                {
>                  freeze_window_starts (f, 1);
>                  grow_mini_window (w, height - WINDOW_TOTAL_LINES (w));
>                }
>
> instead do better?

In my case, height < WINDOW_TOTAL_LINES (w) at that point (that's what
triggers the xassert), so adding the above check works exactly like
removing the if() altogether: it does not crash, but it does not
shrink the minibuffer to 5 lines, which would be the correct height.

    Juanma